package com.xinelu.manage.domain.basedruginfo;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 药品库对象 base_drug_info
 *
 * @author xinelu
 * @date 2024-05-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "药品库对象", description = "base_drug_info")
public class BaseDrugInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 药品名称
     */
    @ApiModelProperty(value = "药品名称")
    @Excel(name = "药品名称")
    private String drugName;

    /**
     * 适用症
     */
    @ApiModelProperty(value = "适用症")
    @Excel(name = "适用症")
    private String purpose;

    /**
     * 给药途径
     */
    @ApiModelProperty(value = "给药途径")
    @Excel(name = "给药途径")
    private String applyWay;

    /**
     * 用药频次
     */
    @ApiModelProperty(value = "用药频次")
    @Excel(name = "用药频次")
    private String applyFrequency;

    /**
     * 服药说明
     */
    @ApiModelProperty(value = "服药说明")
    @Excel(name = "服药说明")
    private String applyRemark;

    /**
     * 用法用量(服法剂量)
     */
    @ApiModelProperty(value = "用法用量(服法剂量)")
    @Excel(name = "用法用量(服法剂量)")
    private String dosage;

    /**
     * 副作用(不良反应)
     */
    @ApiModelProperty(value = "副作用(不良反应)")
    @Excel(name = "副作用(不良反应)")
    private String sideEffects;

    /**
     * 禁忌症
     */
    @ApiModelProperty(value = "禁忌症")
    @Excel(name = "禁忌症")
    private String contraindications;

    /**
     * 存储条件
     */
    @ApiModelProperty(value = "存储条件")
    @Excel(name = "存储条件")
    private String storage;

    /**
     * 漏服或过服的处理方法
     */
    @ApiModelProperty(value = "漏服或过服的处理方法")
    @Excel(name = "漏服或过服的处理方法")
    private String emergency;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("drugName", getDrugName())
                .append("purpose", getPurpose())
                .append("applyWay", getApplyWay())
                .append("applyFrequency", getApplyFrequency())
                .append("applyRemark", getApplyRemark())
                .append("dosage", getDosage())
                .append("sideEffects", getSideEffects())
                .append("contraindications", getContraindications())
                .append("storage", getStorage())
                .append("emergency", getEmergency())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
